Bug 67906 - config parser in %post section or new %configSystem section
config parser in %post section or new %configSystem section
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-07-03 22:17 EDT by Bill Peck
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-17 16:20:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2002-07-03 22:17:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020606

Description of problem:
Ok.. So this is out there I know..  But I just wanted to kick the idea around.

I have been using kickstart (awesome btw) to install my system exactly how I
want it to be when it reboots.  This means setting up /etc/sendmail.cf
/etc/inittab /etc/aliases /etc/dhcpd etc....

Now I know that these programs use different formats for configuring them but
wouldn't it be utopia if in the future we standardized on a common way to config
programs, be it text, or gconf's registery.

imagine being able to have kickstart config the following:

Param:SmartRelay Value:smtp.charter.net
Param:ServerAdmin Value:webmaster@pecknet.com

Now that would be incredible!!

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Additional info:
Comment 1 Jeremy Katz 2003-02-17 16:20:35 EST
Would be nice, but not likely to happen without a lot of buy-in from the outside
community to get all of these various projects using similar config files.  Not
really something in the realm of anaconda to solve at least

Note You need to log in before you can comment on or make changes to this bug.